Loading...
Searching...
No Matches
gr::digital::glfsr Class Reference
GNU Radio C++ Signal Processing Blocks » Waveform Generators

Galois Linear Feedback Shift Register using specified polynomial mask. More...

`#include <gnuradio/digital/glfsr.h>`

## Public Member Functions

| glfsr (uint64_t mask, uint64_t seed)
| ~glfsr ()
uint8_t | next_bit ()
uint64_t | mask () const

## Static Public Member Functions

static uint64_t | glfsr_mask (unsigned int degree)

## Detailed Description

Galois Linear Feedback Shift Register using specified polynomial mask.

Generates a maximal length pseudo-random sequence of length 2^degree-1 if given a primitive polynomial.

## Constructor & Destructor Documentation

## glfsr()

gr::digital::glfsr::glfsr | ( | uint64_t | mask,
|  | uint64_t | seed )

inline

References mask().

## ~glfsr()

gr::digital::glfsr::~glfsr | ( |  | ) |

## Member Function Documentation

## glfsr_mask()

uint64_t gr::digital::glfsr::glfsr_mask | ( | unsigned int | degree | ) |

static

## mask()

uint64_t gr::digital::glfsr::mask | ( |  | ) | const

inline

Referenced by glfsr().

## next_bit()

uint8_t gr::digital::glfsr::next_bit | ( |  | ) |

The documentation for this class was generated from the following file:

- glfsr.h